    apiVersion: apps/v1
    kind: Deployment
    metadata:
      name: nexus
      namespace: nexus
    spec:
      replicas: 1
      selector:
        matchLabels:
          app: nexus-server
      template:
        metadata:
          labels:
            app: nexus-server
        spec:
          containers:
            - name: nexus
              image: sonatype/nexus3:latest
              env:
              - name: MAX_HEAP
                value: "800m"
              - name: MIN_HEAP
                value: "300m"
              resources:
                limits:
                  memory: "4Gi"
                  cpu: "1000m"
                requests:
                  memory: "2Gi"
                  cpu: "500m"
              ports:
                - containerPort: 8081
              volumeMounts:
                - name: nexus-data
                  mountPath: /nexus-data
          volumes:
            - name: nexus-data
              emptyDir: {}
